package com.eni.android.clickListenerMethod1Ejemplo;

import android.app.Activity;
import android.os.Bundle;
import android.util.Log;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.Button;

public class ClickListenerMethod1Ejemplo extends Activity {

	private static final String CLICK_LISTENER = "ClickListener";

	/**
	 * Cada botón tiene su listener
	 */
	@Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.main);
        
        Button btn1 = (Button) findViewById(R.id.btn1);
        btn1.setOnClickListener(new OnClickListener() {
			@Override
			public void onClick(View v) {
				Log.v(CLICK_LISTENER, getString(R.string.int_btn1));
			}
		});

        Button btn2 = (Button) findViewById(R.id.btn2);
        btn2.setOnClickListener(new OnClickListener() {
			@Override
			public void onClick(View v) {
				Log.v(CLICK_LISTENER, getString(R.string.int_btn2));
			}
		});

	
	}

}
